## org.eclipse.uml2.codegen.ecore.genmodel
Interface GenParameter

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.codegen.ecore.genmodel.GenBase, org.eclipse.emf.codegen.ecore.genmodel.GenParameter, org.eclipse.emf.codegen.ecore.genmodel.GenTypedElement, org.eclipse.emf.common.notify.Notifier

    public interface GenParameter

extends org.eclipse.emf.codegen.ecore.genmodel.GenParameter, GenTypedElement

A representation of the model object 'Gen Parameter'.

See Also:
  `GenModelPackage.getGenParameter()`

Method Summary

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenParameter
`getEcoreParameter, getGenOperation, getGenPackage, getName, getQualifiedModelInfo, initialize, reconcile, setEcoreParameter, setGenOperation`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenTypedElement

`getEcoreModelElement, getEffectiveComplianceLevel, getEObjectCast, getGenClassType, getGenDataTypeType, getGenEnumType, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedInternalType, getImportedInternalType, getImportedMapEntryType, getImportedMapKeyType, getImportedMapTemplateArguments, getImportedMapValueType, getImportedType, getImportedType, getInternalTypeCast, getListItemType, getListItemType, getListTemplateArguments, getLowerBound, getMapEntryTypeGenClass, getMapGenClass, getMapItemType, getNonEObjectInternalTypeCast, getNonEObjectInternalTypeCast, getObjectType, getObjectType, getOrderedFlag, getPrimitiveValueFunction, getQualifiedListItemType, getQualifiedListItemType, getRawBoundType, getRawImportedBoundType, getRawImportedType, getRawListItemType, getRawType, getRawTypeCast, getType, getType, getTypeClassifier, getTypeClassifierAccessorName, getTypeGenClass, getTypeGenClassifier, getTypeGenDataType, getTypeGenEnum, getTypeGenPackage, getUniqueFlag, getUpperBound, hasGenericType, isBooleanType, isEffectiveSuppressEMFTypes, isEnumBasedType, isEnumType, isFeatureMapType, isFeatureMapWrapped, isListDataType, isListType, isMapType, isPrimitiveType, isStringBasedType, isStringType, isUncheckedCast, isUncheckedCast, isUnique, isWrappedFeatureMapType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenTypedElement

`getEcoreModelElement, getEffectiveComplianceLevel, getEObjectCast, getGenClassType, getGenDataTypeType, getGenEnumType, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedInternalType, getImportedInternalType, getImportedMapEntryType, getImportedMapKeyType, getImportedMapTemplateArguments, getImportedMapValueType, getImportedType, getImportedType, getInternalTypeCast, getListItemType, getListItemType, getListTemplateArguments, getLowerBound, getMapEntryTypeGenClass, getMapGenClass, getMapItemType, getNonEObjectInternalTypeCast, getNonEObjectInternalTypeCast, getObjectType, getObjectType, getOrderedFlag, getPrimitiveValueFunction, getQualifiedListItemType, getQualifiedListItemType, getRawBoundType, getRawImportedBoundType, getRawImportedType, getRawListItemType, getRawType, getRawTypeCast, getType, getType, getTypeClassifier, getTypeClassifierAccessorName, getTypeGenClass, getTypeGenClassifier, getTypeGenDataType, getTypeGenEnum, getTypeGenPackage, getUniqueFlag, getUpperBound, hasGenericType, isBooleanType, isEffectiveSuppressEMFTypes, isEnumBasedType, isEnumType, isFeatureMapType, isFeatureMapWrapped, isListDataType, isListType, isMapType, isPrimitiveType, isStringBasedType, isStringType, isUncheckedCast, isUncheckedCast, isUnique, isWrappedFeatureMapType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.